Folks.PresenceDetails – folks Reference Manual

# PresenceDetails

## Object Hierarchy:

## Description:

public interface PresenceDetails : Object

Interface exposing a Persona's or Individual's presence; their current availability, such as for chatting.

If the Backend providing the Persona doesn't support presence, the Persona's `presence_type` will be set to PresenceType.UNSET and their `presence_message` will be an empty string.

All known implementing classes:

- Individual

Namespace: Folks
Package: folks

## Content:

### Properties:

- public abstract string[] client_types { get; set; }
  The contact's client types.
- public abstract string presence_message { get; set; }
  The contact's presence message.
- public abstract string presence_status { get; set; }
  The contact's detailed presence status.
- public abstract PresenceType presence_type { get; set; }
  The contact's presence type.

### Static methods:

- public static unowned string get_default_message_from_type (PresenceType type)
  The default message for a presence type.
- public static int typecmp (PresenceType type_a, PresenceType type_b)
  Compare two PresenceTypes.

### Methods:

- public bool is_online ()
  Whether the contact is online.

### Inherited Members:

All known members inherited from class GLib.Object

- @get
- @new
- @ref
- @set
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- force_floating
- freeze_notify
- get_class
- get_data

- get_property
- get_qdata
- get_type
- getv
- interface_find_property
- interface_install_property
- interface_list_properties
- is_floating
- new_valist
- new_with_properties
- newv
- notify
- notify_property
- ref_count
- ref_sink
- remove_toggle_ref
- remove_weak_pointer

- replace_data
- replace_qdata
- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- set_valist
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref